package com.chenyang.druid.sql.dialect.mysql.ast.statement;

import com.chenyang.druid.sql.ast.statement.SQLAlterTableItem;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlObjectImpl;
import com.chenyang.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MySqlAlterTableValidation extends MySqlObjectImpl implements SQLAlterTableItem {
   private boolean withValidation;

   public void accept0(MySqlASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public boolean isWithValidation() {
      return this.withValidation;
   }

   public void setWithValidation(boolean withValidation) {
      this.withValidation = withValidation;
   }
}
